Bug 804333 - dist fails with "unable to link ... File exists" error
dist fails with "unable to link ... File exists" error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nmh (Show other bugs)
16
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Josh Bressers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 17:16 EDT by Wolfgang Denk
Modified: 2012-07-17 13:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Denk 2012-03-17 17:16:43 EDT
Description of problem:

Attempts to bounce a message to another address fail like this:

-> dist +inbox 167 
...
What now? send
send: unable to link /home/wd/Mail/inbox/167 to /home/wd/Mail/inboxsendhw7pvG: File exists


Version-Release number of selected component (if applicable):

nmh-1.4-1.fc16.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Run "dist" to redistribute a message like this:

	dist +inbox 167
2. When asked "What now?", enter "send"
  
Actual results:

No message sent, instead error message:

send: unable to link /home/wd/Mail/inbox/167 to /home/wd/Mail/inboxsendhw7pvG: File exists

Expected results:

No error, message sent.

Additional info:

This error appears to have been introduced with nmh-1.4; it worked
before.

strace shows what's happening:

...
18658 write(1, "What now? ", 10)        = 10
18658 fstat(0, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 4), ...}) = 0
18658 mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f5b29211000
18658 read(0, "send\n", 1024)           = 5
18658 rt_sigaction(SIGINT, {SIG_DFL, [], SA_RESTORER|SA_RESTART, 0x31fe236300}, {0x40a5a0, [], SA_RESTORER|SA_RESTART, 0x31fe236300}, 8) = 0
18658 umask(077)                        = 022
18658 getpid()                          = 18658
18658 open("/home/wd/Mail/inboxsendDKfp0U", O_RDWR|O_CREAT|O_EXCL, 0600) = 4
18658 close(4)                          = 0
18658 umask(022)                        = 077
18658 link("/home/wd/Mail/inbox/167", "/home/wd/Mail/inboxsendDKfp0U") = -1 EEXIST (File exists)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
18658 open("/usr/share/locale/locale.alias", O_RDONLY) = 4
18658 fstat(4, {st_mode=S_IFREG|0644, st_size=2512, ...}) = 0
18658 mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f5b29210000
18658 read(4, "# Locale name alias data base.\n#"..., 4096) = 2512
18658 read(4, "", 4096)                 = 0
18658 close(4)                          = 0
18658 munmap(0x7f5b29210000, 4096)      = 0
18658 open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
18658 open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
18658 open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
18658 open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
18658 writev(2, [{"send", 4}, {": ", 2}, {"unable to link /home/wd/Mail/inb"..., 41}, {" ", 1}, {"/home/wd/Mail/inboxsendDKfp0U", 29}, {": ", 2}, {"File exists", 11}, {"\n", 1}], 8) = 91
18658 exit_group(1)                     = ?
Comment 2 Henrique Martins 2012-05-01 14:29:33 EDT
The fix is part of nmh-1.5 RC1.  Is there an rpm somewhere in Fedora for this?  I've enabled updates-testing and still didn't see it.
Comment 3 Fedora Update System 2012-07-03 07:40:02 EDT
nmh-1.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nmh-1.5-1.fc16
Comment 4 Fedora Update System 2012-07-03 07:40:29 EDT
nmh-1.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nmh-1.5-1.fc17
Comment 5 Fedora Update System 2012-07-05 19:32:51 EDT
Package nmh-1.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nmh-1.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10265/nmh-1.5-1.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-07-17 13:22:39 EDT
nmh-1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-07-17 13:25:54 EDT
nmh-1.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.